apiVersion: kubevirt.io/v1
kind: VirtualMachineInstanceMigration
metadata:
  annotations:
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
    kubevirt.io/workloadUpdateMigration: ""
  creationTimestamp: "2025-09-28T08:56:09Z"
  generateName: kubevirt-workload-update-
  generation: 1
  labels:
    kubevirt.io/vmi-name: rhel8-chocolate-salmon-47
  name: kubevirt-workload-update-n2494
  namespace: default
  resourceVersion: "3312017"
  uid: 743fcddb-f9ea-441c-a0dc-c3217c961b13
spec:
  vmiName: rhel8-chocolate-salmon-47
status:
  migrationState:
    completed: true
    endTimestamp: "2025-09-28T08:56:25Z"
    migrationConfiguration:
      allowAutoConverge: false
      allowPostCopy: false
      allowWorkloadDisruption: false
      bandwidthPerMigration: "0"
      completionTimeoutPerGiB: 150
      nodeDrainTaintKey: kubevirt.io/drain
      parallelMigrationsPerCluster: 5
      parallelOutboundMigrationsPerNode: 2
      progressTimeout: 150
      unsafeMigrationOverride: false
    migrationUid: 743fcddb-f9ea-441c-a0dc-c3217c961b13
    mode: PreCopy
    sourceNode: master1
    sourcePod: virt-launcher-rhel8-chocolate-salmon-47-kg4bd
    startTimestamp: "2025-09-28T08:56:17Z"
    targetDirectMigrationNodePorts:
      "36055": 0
      "40969": 49152
      "44725": 49153
    targetNode: master3
    targetNodeAddress: 10.128.0.106
    targetNodeDomainDetected: true
    targetNodeDomainReadyTimestamp: "2025-09-28T08:56:25Z"
    targetPod: virt-launcher-rhel8-chocolate-salmon-47-rdlm2
  phase: Succeeded
  phaseTransitionTimestamps:
  - phase: Pending
    phaseTransitionTimestamp: "2025-09-28T08:56:09Z"
  - phase: Scheduling
    phaseTransitionTimestamp: "2025-09-28T08:56:09Z"
  - phase: Scheduled
    phaseTransitionTimestamp: "2025-09-28T08:56:17Z"
  - phase: PreparingTarget
    phaseTransitionTimestamp: "2025-09-28T08:56:17Z"
  - phase: TargetReady
    phaseTransitionTimestamp: "2025-09-28T08:56:17Z"
  - phase: Running
    phaseTransitionTimestamp: "2025-09-28T08:56:17Z"
  - phase: Succeeded
    phaseTransitionTimestamp: "2025-09-28T08:56:25Z"
